Browse the API reference

List Documents

get/v1/graphs/{graph_id}/documents

Part of Documents.

Authentication

Authenticate in any one of these ways — not all of them:

  • API key in the X-API-Key header.
  • Bearer token in the Authorization header.

Path parameters

NameTypeDescription
graph_idrequiredstringGraph Id

Query parameters

NameTypeDescription
source_typeoptionalstringSource Type

Example request

curl
curl -X GET "https://api.robosystems.ai/v1/graphs/{graph_id}/documents" \
  -H "X-API-Key: $ROBOSYSTEMS_API_KEY"

Responses

200 Successful Response

FieldTypeDescription
totalrequiredinteger
documentsrequiredDocumentListItem[]

A document in the document list.

DocumentListItem fields
FieldTypeDescription
idrequiredstring
document_titlerequiredstring
section_countrequiredinteger
source_typerequiredstring
folderoptionalstring
tagsoptionalstring[]
created_atrequiredstring
updated_atrequiredstring
graph_idrequiredstring
StatusMeaning
400Invalid request
401Authentication required
403Access denied
404Resource not found
422Validation Error
429Rate limit exceeded
500Internal server error